Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Commit [a0911e] Maximize Restore History

version 1.1-pre2

jimyonan jimyonan 2002-04-09

1 2 3 > >> (Page 1 of 3)
added AUTHORS
added COPYRIGHT.GPL
added ChangeLog
added install-sh
added openvpn.m4
added shaper.c
added shaper.h
added syshead.h
changed COPYING
changed INSTALL
changed PORTS
changed README
changed aclocal.m4
changed basic.h
changed buffer.c
changed buffer.h
changed common.h
changed configure.in
changed crypto.c
changed crypto.h
changed error.c
changed fdmisc.c
changed gremlin.c
changed interval.h
changed lzo.c
changed lzo.h
changed misc.c
changed misc.h
changed openvpn.8
changed openvpn.c
changed openvpn.h
changed packet_id.c
changed packet_id.h
changed reliable.c
changed reliable.h
changed session_id.c
changed session_id.h
changed socket.c
changed socket.h
changed ssl.c
changed ssl.h
changed tun.c
changed tun.h
copied install.sh -> NEWS
copied CHANGES -> autogen.sh
copied Makefile.in -> Makefile.am
copied openvpn.spec -> openvpn.spec.in
AUTHORS Diff Switch to side-by-side view
Loading...
COPYRIGHT.GPL Diff Switch to side-by-side view
Loading...
ChangeLog Diff Switch to side-by-side view
Loading...
install-sh Diff Switch to side-by-side view
Loading...
openvpn.m4 Diff Switch to side-by-side view
Loading...
shaper.c Diff Switch to side-by-side view
Loading...
shaper.h Diff Switch to side-by-side view
Loading...
syshead.h Diff Switch to side-by-side view
Loading...
COPYING Diff Switch to side-by-side view
Loading...
INSTALL Diff Switch to side-by-side view
Loading...
PORTS Diff Switch to side-by-side view
Loading...
README Diff Switch to side-by-side view
Loading...
aclocal.m4 Diff Switch to side-by-side view
Loading...
basic.h Diff Switch to side-by-side view
Loading...
buffer.c Diff Switch to side-by-side view
Loading...
buffer.h Diff Switch to side-by-side view
Loading...
common.h Diff Switch to side-by-side view
Loading...
configure.in Diff Switch to side-by-side view
Loading...
crypto.c Diff Switch to side-by-side view
Loading...
crypto.h Diff Switch to side-by-side view
Loading...
error.c Diff Switch to side-by-side view
Loading...
fdmisc.c Diff Switch to side-by-side view
Loading...
gremlin.c Diff Switch to side-by-side view
Loading...
interval.h Diff Switch to side-by-side view
Loading...
lzo.c Diff Switch to side-by-side view
Loading...
lzo.h Diff Switch to side-by-side view
Loading...
misc.c Diff Switch to side-by-side view
Loading...
misc.h Diff Switch to side-by-side view
Loading...
openvpn.8 Diff Switch to side-by-side view
Loading...
openvpn.c Diff Switch to side-by-side view
Loading...
openvpn.h Diff Switch to side-by-side view
Loading...
packet_id.c Diff Switch to side-by-side view
Loading...
packet_id.h Diff Switch to side-by-side view
Loading...
reliable.c Diff Switch to side-by-side view
Loading...
reliable.h Diff Switch to side-by-side view
Loading...
session_id.c Diff Switch to side-by-side view
Loading...
session_id.h Diff Switch to side-by-side view
Loading...
socket.c Diff Switch to side-by-side view
Loading...
socket.h Diff Switch to side-by-side view
Loading...
ssl.c Diff Switch to side-by-side view
Loading...
ssl.h Diff Switch to side-by-side view
Loading...
tun.c Diff Switch to side-by-side view
Loading...
tun.h Diff Switch to side-by-side view
Loading...
install.sh to NEWS
File was copied or renamed.
CHANGES to autogen.sh
--- a/CHANGES
+++ b/autogen.sh
@@ -1,28 +1,53 @@
-OpenVPN
-Copyright 2002 by James Yonan <jim@yonan.net>
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
 
-2002.04.xx -- Version 1.0.3
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
 
-* Fixed a problem in configure with library ordering on the
-  command line.
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=openvpn
+TEST_TYPE=-f
+FILE=openvpn.c
 
-2002.03.28 -- Version 1.0.2
+# check local directory (openvpn.m4) for CHECK_INET macro
+ACLOCAL_FLAGS="-I ."
 
-* Improved the efficiency of the inner event loop.
-* Fixed a minor bug with timeout handling.
-* Improved the build system to build on RH 6.2 through 7.2.
-* Added an openvpn.spec file for RPM builders (courtesy of Bishop Clark).
+DIE=0
 
-2002.03.23 -- Version 1.0
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have autoconf installed to compile $PROJECT."
+	echo "Download the appropriate package for your distribution,"
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
 
-* Added TLS-based authentication and key exchange.
-* Added gremlin mode to stress test.
-* Wrote man page.
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have automake installed to compile $PROJECT."
+	echo "Download the appropriate package for your distribution,"
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
 
-2001.12.26 -- Version 0.91
-* Added any choice of cipher or HMAC digest.
+if test "$DIE" -eq 1; then
+	exit 1
+fi
 
-2001.5.13 -- Version 0.90
+test $TEST_TYPE $FILE || {
+	echo "You must run this script in the top-level $PROJECT directory"
+	exit 1
+}
 
-* Initial release.
-* IP tunnel over UDP, with blowfish cipher and SHA1 HMAC signature.
+aclocal $ACLOCAL_FLAGS || exit 1
+
+#libtoolize --force --copy || exit 1
+autoheader || exit 1
+automake --add-missing --copy $am_opt || exit 1
+autoconf || exit 1
+cd $ORIGDIR || exit 1
+
+echo 
+echo "Now type 'configure' and 'make' to compile $PROJECT. You can do this" 
+echo "in a separate build directory if you wish"
Makefile.in to Makefile.am
--- a/Makefile.in
+++ b/Makefile.am
@@ -23,48 +23,10 @@
 #  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-CC = @CC@
-CFLAGS = @CFLAGS@ @CPPFLAGS@
-LDFLAGS = @LIBS@
+sbin_PROGRAMS = openvpn
+openvpn_SOURCES = acconfig.h buffer.h crypto.c error.h gremlin.c lzo.c misc.c openvpn.h reliable.c session_id.h ssl.c tun.h basic.h circ_list.h crypto.h fdmisc.c gremlin.h lzo.h misc.h packet_id.c reliable.h shaper.c socket.c ssl.h buffer.c common.h error.c fdmisc.h interval.h memdbg.h openvpn.c packet_id.h session_id.c socket.h syshead.h tun.c shaper.h
 
-INSTALL = @INSTALL@
-INSTALL_OWNER = -o root -g 0
+KEY_FILES = dh1024.pem client.crt client.key server.crt server.key tmp-ca.crt tmp-ca.key
 
-prefix = @prefix@
-exec_prefix = @exec_prefix@
-
-sbindir       = @sbindir@
-mandir        = @mandir@
-sysconfdir    = @sysconfdir@
-localstatedir = @localstatedir@
-
-OBJS =  openvpn.o crypto.o ssl.o socket.o fdmisc.o misc.o \
-	tun.o lzo.o reliable.o packet_id.o session_id.o \
-        error.o buffer.o gremlin.o
-
-CONFIGURE_FILES = Makefile config.status config.cache config.h config.log 
-
-.c.o:
-	$(CC) $(CFLAGS) $(DEFS) -c $<
-
-openvpn: $(OBJS)
-	$(CC) $(CFLAGS) -o openvpn $(OBJS) $(LFD_OBJS) $(LDFLAGS)
-
-depend:
-	makedepend -- $(CFLAGS) -- *.c
-
-clean:
-	rm -f core *.o *~ *.bak openvpn
-
-distclean: clean
-	rm -f $(CONFIGURE_FILES)
-
-install_man:
-	$(INSTALL) -d -m 755 $(INSTALL_OWNER) $(mandir)/man8
-	$(INSTALL) -m 644 $(INSTALL_OWNER) openvpn.8 $(mandir)/man8
-
-install: openvpn install_man
-	$(INSTALL) -d -m 755 $(INSTALL_OWNER) $(sbindir)
-	$(INSTALL) -m 755 $(INSTALL_OWNER) openvpn $(sbindir)
-
-# DO NOT DELETE THIS LINE -- make depend depends on it.
+man_MANS = openvpn.8
+EXTRA_DIST = $(KEY_FILES)
openvpn.spec to openvpn.spec.in
--- a/openvpn.spec
+++ b/openvpn.spec.in
@@ -1,6 +1,6 @@
 Summary:	A Secure UDP Tunneling Daemon
 Name:		openvpn
-Version:	1.0.3
+Version:	@VERSION@
 Release:	1
 URL:		http://sourceforge.net/projects/openvpn/
 Source0:	http://prdownloads.sourceforge.net/openvpn/%{name}-%{version}.tar.gz
1 2 3 > >> (Page 1 of 3)